Subject: bug#33862: "guix gc" failing to complete

From: zimoun <[email-masked]>
Date: Sat, 19 Dec 2020 01:09:21 +0100

Hi,

What is the status of the bug#33862

<http://issues.guix.gnu.org/issue/33862>

?

On Mon, 24 Dec 2018 at 22:33, Ethan O'Quin <[email-masked]> wrote:
> Every time I run "guix gc" the process fails with:
>
> "guix gc: error: build failed: executing SQLite statement: FOREIGN KEY
> constraint failed"  
>
> This occurs every time "guix gc" is run, although it progresses for a
> moment before it fails.  
>
> The issue was encountered on guix 0.16.0-7.6f1e0bb on GuixSD as of
> December 24, although I have encountered it repeatedly back to some
> time in October, possibly earlier.

Does the solution

        Try

        # guix gc --verify

        If that doesn't work, then… 

work for you?  If not, please report what is wrong?

Since it is 2years old, I hope you fixed the issue in the meantime.

All the best,
simon